### Hierarchy

- XmlComponent
  - Num

## Index

### Constructors

- constructor

### Properties

- id

### Accessors

- IsDeleted

### Methods

- addChildElement
- delete
- overrideLevel
- prepForXml

## Constructors

### constructor

- new Num(numId: number, abstractNumId: number): Num

- Overrides XmlComponent.constructor

  - Defined in file/numbering/num.ts:24

  #### Parameters

  - ##### numId: number

  - ##### abstractNumId: number

  #### Returns Num

## Properties

### id

id: number

- Defined in file/numbering/num.ts:24

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### overrideLevel

- overrideLevel(num: number, start?: undefined | number): LevelOverride

- - Defined in file/numbering/num.ts:37

  #### Parameters

  - ##### num: number

  - ##### Optional start: undefined | number

  #### Returns LevelOverride

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:13

  #### Returns IXmlableObject

Generated using TypeDoc